My Project: dgCollisionCompoundFractured::dgConectivityGraphMap Class Reference

My Project

Public Member Functions | List of all members
dgCollisionCompoundFractured::dgConectivityGraphMap Class Reference

`#include <dgCollisionCompoundFractured.h>`

Inheritance diagram for dgCollisionCompoundFractured::dgConectivityGraphMap:

## Public Member Functions

| dgConectivityGraphMap (const dgConectivityGraphMap &source)
| dgConectivityGraphMap (dgMemoryAllocator *const allocator)
void | Pupolate (const dgConectivityGraph &graph)
Public Member Functions inherited from dgTree< dgConectivityGraph::dgListNode *, const dgCollisionInstance *>
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (const dgCollisionInstance * key) const
dgTreeNode * | FindGreater (const dgCollisionInstance * key) const
dgTreeNode * | FindGreaterEqual (const dgCollisionInstance * key) const
dgTreeNode * | FindLessEqual (const dgCollisionInstance * key) const
dgTreeNode * | GetNodeFromInfo (dgConectivityGraph::dgListNode * &info) const
dgTreeNode * | Insert (const dgConectivityGraph::dgListNode * &element, const dgCollisionInstance * key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgConectivityGraph::dgListNode * &element, const dgCollisionInstance * key)
dgTreeNode * | Insert (dgTreeNode *const node, const dgCollisionInstance * key)
dgTreeNode * | Replace (dgConectivityGraph::dgListNode * &element, const dgCollisionInstance * key)
dgTreeNode * | ReplaceKey (const dgCollisionInstance * oldKey, const dgCollisionInstance * newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, const dgCollisionInstance * key)
void | Remove (const dgCollisionInstance * key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgConectivityGraphMap() [1/2]

dgCollisionCompoundFractured::dgConectivityGraphMap::dgConectivityGraphMap | ( | const dgConectivityGraphMap & | source | ) |

inline

## § dgConectivityGraphMap() [2/2]

dgCollisionCompoundFractured::dgConectivityGraphMap::dgConectivityGraphMap | ( | dgMemoryAllocator *const | allocator | ) |

inline

## Member Function Documentation

## § Pupolate()

void dgCollisionCompoundFractured::dgConectivityGraphMap::Pupolate | ( | const dgConectivityGraph & | graph | ) |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.h